Skip to content

Resets the password of the user account that matches the email address. If the reset was successful the user will receive an email with the confirmation.

PATCH
/api/v1/user/reset-password
object
emailAddress

Email address of the user to change the password for.

string
Example
password

New password of the user.

string
Example
kDWPe4qf$&mgM26&8hX
passwordVerify

Password to verify the new password against.

string
Example
kDWPe4qf$&mgM26&8hX
token

Token that was issued to the user to allow to change their password with.

string
Example
c6e8c445c10ed381b7f05e8a070a69a4

Password reset was successful.

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER001 ER003 ER004 ER122 ER123 ER349 ER350 ER351 ER352 ER353 ER354 ER355 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER001": {
"code": "ER001",
"message": "Email address is invalid.",
"solution": "Provide a valid email address."
},
"ER003": {
"code": "ER003",
"message": "No email address provided.",
"solution": "Provide a valid email address."
},
"ER004": {
"code": "ER004",
"message": "No password provided.",
"solution": "Provide the password of the user."
},
"ER122": {
"code": "ER122",
"message": "Invalid password length",
"solution": "Your password should be at least 8 characters in length."
},
"ER123": {
"code": "ER123",
"message": "Invalid password length",
"solution": "Your password can't have more than 64 characters."
},
"ER349": {
"code": "ER349",
"message": "Password isn't strong enough, or has been found in a data breach.",
"solution": "Provide a new password. We encourage the use of a password manager to create and store strong passwords."
},
"ER350": {
"code": "ER350",
"message": "Password does not match the confirmation password.",
"solution": "Provide a matching confirmation password."
},
"ER351": {
"code": "ER351",
"message": "Password reset token is missing from the request.",
"solution": "Provide a valid password reset token."
},
"ER352": {
"code": "ER352",
"message": "Password reset token is invalid.",
"solution": "Provide a valid password reset token or request a new one."
},
"ER353": {
"code": "ER353",
"message": "Password reset token has expired.",
"solution": "Request a new password reset token."
},
"ER354": {
"code": "ER354",
"message": "Failed to request a password reset token",
"solution": "Try again later, or contact support if problems continue"
},
"ER355": {
"code": "ER355",
"message": "There was a technical problem sending the confirmation email that your password was reset successfully.",
"solution": "Your password has been reset. If you still wish to receive a confirmation email, please reset your password again. If you have any questions, feel free to contact support."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}